Subject: Re: [bug#54135] [PATCH] gnu: webkitgtk: Adjust BubbleWrap wrapper.

From: Jack Hill <[email-masked]>
Date: Wed, 23 Feb 2022 21:46:05 -0500 (EST)

On Wed, 23 Feb 2022, Maxim Cournoyer wrote:

> This revisits <https://issues.guix.gnu.org/40837> with a fix that doesn't
> require to have PULSE_CLIENTCONFIG point to an absolute store location, which
> will allow us to revert to have PULSE_CLIENTCONFIG point to a fixed location
> under /etc.  This would alleviate the need to reboot to have changes to the
> PulseAudio configuration effected.
>
> * gnu/packages/patches/webkitgtk-share-store.patch: Delete file.
> * gnu/packages/patches/webkitgtk-bubblewrap-paths.patch: Add file.
> * gnu/packages/patches/webkitgtk-canonicalize-paths.patch: Likewise.
> * gnu/local.mk (dist_patch_DATA): Update patches list.
> * gnu/packages/webkit.scm (webkitgtk)[patches]: Adjust accordingly.
> ---
> gnu/local.mk                                  |  3 +-
> .../webkitgtk-adjust-bubblewrap-paths.patch   | 38 +++++++++++
> .../patches/webkitgtk-bind-all-fonts.patch    | 17 +++--
> .../webkitgtk-canonicalize-paths.patch        | 66 +++++++++++++++++++
> .../patches/webkitgtk-share-store.patch       | 19 ------
> gnu/packages/webkit.scm                       |  7 +-
> 6 files changed, 118 insertions(+), 32 deletions(-)
> create mode 100644 gnu/packages/patches/webkitgtk-adjust-bubblewrap-paths.patch
> create mode 100644 gnu/packages/patches/webkitgtk-canonicalize-paths.patch
> delete mode 100644 gnu/packages/patches/webkitgtk-share-store.patch

LGTM. Thanks for taking up that WebKit issue and getting it fixed 
upstream!

Best,
Jack